## qtrapids 0.1-2

=== CMakeLists.txt ===
project(qtrapids)
cmake_minimum_required(VERSION 2.6)
set(CMAKE_VERBOSE_MAKEFILE ON)

# Check if we are building under scratchbox and link with QtMaemo5 only in that case.
# Thus, we maintain desktop build-ability also
set (SCRATCHBOX_UNAME $ENV{SBOX_UNAME_MACHINE})

if (SCRATCHBOX_UNAME)
	MESSAGE("Configuring for building under Scratchbox..")
	SET(CMAKE_INSTALL_PREFIX /usr)
	SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
endif (SCRATCHBOX_UNAME)

add_definitions(-Wall -g)

find_package(Qt4 REQUIRED)

add_subdirectory(./dbus)
add_subdirectory(./src/client)
add_subdirectory(./src/server)
#add_subdirectory(./src/utest)

=== dbus/CMakeLists.txt ===
SET(SOURCES ${CMAKE_HOME_DIRECTORY}/dbus/com.ixonos.qtrapids.xml)
SET(PROXY_SRC proxy.h proxy.cpp)
SET(SERVER_SRC server.h server.cpp)

SET(PROXY_TARGET 
  ${CMAKE_HOME_DIRECTORY}/src/client/proxy.h 
  ${CMAKE_HOME_DIRECTORY}/src/client/proxy.cpp)

SET(SERVER_TARGET 
  ${CMAKE_HOME_DIRECTORY}/src/server/server.h 
  ${CMAKE_HOME_DIRECTORY}/src/server/server.cpp)

SET(GENERATED_FILES ${PROXY_SRC} ${SERVER_SRC})

ADD_CUSTOM_COMMAND(OUTPUT ${GENERATED_FILES} 
  COMMAND qdbusxml2cpp -a server -c QtRapidsServer -i "qtrapids/dbus.hpp" -p proxy ${SOURCES}
  COMMAND cp ${PROXY_SRC} ${CMAKE_HOME_DIRECTORY}/src/client
  COMMAND cp ${SERVER_SRC} ${CMAKE_HOME_DIRECTORY}/src/server
  DEPENDS ${SOURCES}
  COMMENT "DBus API sources")


ADD_CUSTOM_TARGET(dbusapi ALL DEPENDS ${GENERATED_FILES})

=== src/client/CMakeLists.txt ===
INCLUDE(${QT_USE_FILE})

INCLUDE_DIRECTORIES(../include ../plugins)

FIND_LIBRARY(BOOST_SYSTEM boost_system-mt)
IF(${BOOST_SYSTEM} STREQUAL BOOST_SYSTEM-NOTFOUND)
  MESSAGE(SEND_ERROR ${BOOST_SYSTEM})
ENDIF(${BOOST_SYSTEM} STREQUAL BOOST_SYSTEM-NOTFOUND)

INCLUDE_DIRECTORIES(
   ${QT_INCLUDE_DIR}
   ${QT_QTTEST_INCLUDE_DIR}
   ${QT_QTDBUS}
   ${QT_QTGUI}
)

SET_SOURCE_FILES_PROPERTIES(${CMAKE_CURRENT_SOURCE_DIR}/proxy.cpp ${CMAKE_CURRENT_SOURCE_DIR}/proxy.h PROPERTIES GENERATED 1)

SET(MOC_HEADERS
  ./DownloadView.h
  ./MainWindow.h
  ./PreferencesDialog.h
  ./proxy.h
  ./SeedView.h
  ./ColumnSelectorDialog.h
)

SET(SRC
  ./DownloadView.cpp
  ./main.cpp
  ./MainWindow.cpp
  ./PreferencesDialog.cpp
  ./proxy.cpp
  ./SeedView.cpp
  ./ColumnSelectorDialog.cpp
)

QT4_WRAP_CPP(SRC ${MOC_HEADERS})
ADD_EXECUTABLE(qtrapids-gui ${SRC} ${MOC_HEADERS})
INSTALL(TARGETS qtrapids-gui DESTINATION bin)

ADD_DEFINITIONS(-DQT_SHARED)

set(QT_QTMAEMO5_LIBRARY -lQtMaemo5 -L${QT_LIBRARY_DIR})

# QT_QTMAEMO5_* variables are not defined by CMake
if(NOT QT_QTMAEMO5_INCLUDE_DIR)
	FIND_PATH(QT_QTMAEMO5_INCLUDE_DIR QtMaemo5
	PATHS ${QT_HEADERS_DIR}/QtMaemo5 NO_DEFAULT_PATH)
endif(NOT QT_QTMAEMO5_INCLUDE_DIR)
if(NOT QT_QTMAEMO5_LIBRARY)
	FIND_LIBRARY(QT_QTMAEMO5_LIBRARY QtMaemo5
	PATHS ${QT_LIBRARY_DIR} NO_DEFAULT_PATH)
endif(NOT QT_QTMAEMO5_LIBRARY)


TARGET_LINK_LIBRARIES(qtrapids-gui
  ${QT_QTGUI_LIBRARY} 
  ${QT_QTCORE_LIBRARY} 
  ${QT_QTDBUS_LIBRARY}
  ${QT_QTTEST_LIBRARY}
  -lboost_system-mt
)

# Check if we are building under scratchbox and link with QtMaemo5 only in that case.
# Thus, we maintain desktop build-ability also
set (SCRATCHBOX_UNAME $ENV{SBOX_UNAME_MACHINE})

if (SCRATCHBOX_UNAME)
	MESSAGE("Configuring for building under Scratchbox..")
	TARGET_LINK_LIBRARIES(qtrapids-gui  ${QT_QTMAEMO5_LIBRARY})
endif (SCRATCHBOX_UNAME)

#MESSAGE(${CMAKE_HOST_SYSTEM_PROCESSOR}) 
#CHECK_LIBRARY_EXISTS(QT_QTMAEMO5_LIBRARY)



ADD_DEPENDENCIES(qtrapids-gui dbusapi)

=== src/server/CMakeLists.txt ===
INCLUDE(${QT_USE_FILE})

FIND_LIBRARY(TORRENT_RASTERBAR torrent-rasterbar)
IF(${TORRENT_RASTERBAR} STREQUAL TORRENT_RASTERBAR-NOTFOUND)
  MESSAGE(SEND_ERROR ${TORRENT_RASTERBAR})
ENDIF(${TORRENT_RASTERBAR} STREQUAL TORRENT_RASTERBAR-NOTFOUND)

INCLUDE_DIRECTORIES(../include)

INCLUDE_DIRECTORIES(
   ${QT_INCLUDE_DIR}
   ${QT_QTDBUS_INCLUDE_DIR}
   ${QT_QTSQL_INCLUDE_DIR}
)

SET_SOURCE_FILES_PROPERTIES(${CMAKE_CURRENT_SOURCE_DIR}/server.cpp ${CMAKE_CURRENT_SOURCE_DIR}/server.h PROPERTIES GENERATED 1)

SET(MOC_HEADERS
  ./AlertWaiterThread.hpp
  ./TorrentSession.hpp
  ./server.h
)

SET(SRC
  ./AlertWaiterThread.cpp
  ./main.cpp
  ./server.cpp
  ./TorrentSession.cpp
)

QT4_WRAP_CPP(SRC ${MOC_HEADERS} )

SET(SRC_NOMOC
  ./TorrentHandle.cpp
  ./TorrentHandle.hpp
  ./ServerDb.hpp
)

ADD_EXECUTABLE(qtrapids-server ${SRC} ${MOC_HEADERS} ${SRC_NOMOC})
INSTALL(TARGETS qtrapids-server DESTINATION bin)

ADD_DEFINITIONS(-DQT_SHARED)
TARGET_LINK_LIBRARIES(qtrapids-server
  ${QT_QTCORE_LIBRARY}
  ${QT_QTDBUS_LIBRARY}
  ${QT_QTSQL_LIBRARY}
  -ltorrent-rasterbar
  -lboost_filesystem-mt
)

ADD_DEPENDENCIES(qtrapids-server dbusapi)

=== src/utest/CMakeLists.txt ===
add_subdirectory(./options)

=== src/utest/options/CMakeLists.txt ===
INCLUDE(${QT_USE_FILE})

INCLUDE_DIRECTORIES(../include)

INCLUDE_DIRECTORIES(
   ${QT_INCLUDE_DIR}
   ${QT_QTTEST_INCLUDE_DIR}
   ${QT_QTGUI}
)


SET(MOC_HEADERS
  ./Options.hpp
  ./modeltest.h
)

SET(SRC
  ./Options.cpp
  ./modeltest.cpp
)

QT4_WRAP_CPP(SRC ${MOC_HEADERS})


SET(MOC_UIHEADERS
  ./MainUI.hpp
)

SET(UISRC
  ./MainUI.cpp
  ./Options.cpp
)

QT4_WRAP_CPP(UISRC ${MOC_UIHEADERS})

SET(MOC_UTESTHEADERS
  ./TestSettingsModel.hpp
)

SET(UTESTSRC
  ./TestSettingsModel.cpp
)

QT4_WRAP_CPP(UTESTSRC ${MOC_UTESTHEADERS})


ADD_EXECUTABLE(uitestopt ${UISRC} ${MOC_UIHEADERS} ${SRC} ${MOC_HEADERS} mainui.cpp)
ADD_EXECUTABLE(testopt ${SRC} ${MOC_HEADERS} ${UTESTSRC} ${MOC_UTESTHEADERS}  main.cpp)

ADD_DEFINITIONS(-DQT_SHARED)

TARGET_LINK_LIBRARIES(uitestopt 
  ${QT_QTGUI_LIBRARY} 
  ${QT_QTCORE_LIBRARY} 
)

TARGET_LINK_LIBRARIES(testopt 
  ${QT_QTGUI_LIBRARY} 
  ${QT_QTCORE_LIBRARY} 
  ${QT_QTTEST_LIBRARY}
)

=== debian/changelog ===
qtrapids (0.1-2) unstable; urgency=low

  * Fixed dependencies

 -- Mikko Koskenranta <mikko.koskenranta@hotmail.com>  Sat, 28 Jan 2012 12:26:28 +0200 

=== debian/control ===
Source: qtrapids
Section: net
Priority: optional
Maintainer: Mikko Koskenranta <mikko.koskenranta@hotmail.com>
Build-Depends: debhelper (>= 5), cmake, libboost1.38-dev, libqt4-dev, libtorrent-rasterbar-dev, maemo-optify
Standards-Version: 3.7.2
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1070

Package: qtrapids-gui
Section: user/network
Architecture: any
Depends: ${shlibs:Depends}, qtrapids-server (= ${source:Version})
Description: A Simple BitTorrent Client for Maemo environment
XB-Maemo-Display-Name: QtRapids
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAAKegAACnoBPOtz5wAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAA+bSURBVGiBzVp5eFRVlv/d917tW2rLvics
 MSCGNUjEsKqAouCHNkg3jDhqY08P7aDTjqiorfbQjrTfdCuf2IriCtjiRoNs
 gbBDgBhCVVKJSUgqoZJK7ft7784fIemkUkBwnfNf3XPrnvM7555zz7n3EUop
 +tODn0xNa3EG7+908ZNyU+VMUY7cT0G8BMQHSr0UcBOgiVBSzxLa8HT5vjB+
 RiK9AFbvmpK877R/f3VDsIjnKcqu16JsjBYsQ67wdyoCaAVIHUDqAbEelNSD
 knqH1tu4YdzJ2E8CYOVXE1N3HAo2NLWHlQBQWqzBjPFJ33dtAUATgPpecIzI
 1DGEWlFe3vI0nha/rwDgEoBxf7zh0Gmr/0YASDNKsWxuCq5o+O9PYQA2gNYB
 jJVQWgdCrTzP1b0wY7fzWhYiqw5PVvzvW51Bnu/ZSotnm5GXJv8xlB4qOQFq
 pSB1oLAShtQRAVZ3WG579bavIvGTGYTl+b3KA4BBy/2k2iYgI0BuJMAyQvAi
 KN1GGVqjUwaDaw5Mq4yfzIgRoWDACI2f8v+FCAOKzPhRhiFi3oBp5Mfd/D80
 MYKA751ufk7iRJGyA0aG6IC2zihqG4PinSVzzy8pXeIyKTJFluF0vBAL+6Ou
 gM113Hyg5b0RgZhH+iPo3UccL2AAgKvpz/MU2yu7karO9u1dtatJKVGN7s+X
 MgooJVokq3IwOWNhV6On6uzmb56YzIsxZfxaoYiATo+ImSOnnusKNStcofZ0
 CnpNKZARAWaokwWB4v2vO5FvGBnY/bvP3PHKxxMhjKkgafyM3016r1rOKged
 ytsPdCPkyg0uHf1C8aqJ7+WtLt168lqUBwCGFwd64Ep08KwH9k4em+/f0MQQ
 JiueL1KhqdFptQqi0NB/XCM1lz48fuPpS6UHAEAQKVocUdx+w6yLl4aITKJQ
 XzMAiMLALXSZPdTljuFwjR8v3vugJ0mpL47nd4aaK9cevCV7za5lI/Ien5zf
 0NVQ359vkKdNKM1YWNH7+4IjihgvYlbRzL5ikCNS3TUD4HlmSB6oqguAYYAH
 blruiueJVOx6/dTDY0UqMPnpciQbo2Te+mX5IhVb+00jM3KXp/X+aG4PIz/Z
 TFPU6Tl9yhAmRcLIrg0AhTggBhJ5QBAoahqD+JfymX6dXJ8bz7f7685FhVBf
 kI4uVMFqb2ePfHso0H+enFMPt7eb/J8ecOKtX75/uOb5fe2EkH7BTZRLR794
 dlb+imM3pMyuGRIAQSBXDWJPQEAoIuDOkjktifht3vMDzJZpkoIQglq7JT6j
 MKXZ5c3dXh75hhHpck6eHr9WXlLJmKlZSyYtGPG4aWgARGEggASlRDAsAACG
 pwxL2Lw4w/bUAQMEUMgIqlstg1LnrcWznHLpkBPfVYkTKYkL4sF7KBjpSR7J
 6pSEOdob6RqkqFLO4sS35+OzSkxjb6APaAgq183JGMGJF5NFzg4KFgpNt2DM
 bm/MTc8P5xaHwmJEBJAav+4gAAKlA82RIAaC4R4AMk6hSbRIMOZWDAIgY2Cx
 fysB0AU+Ksehd0+g8l29SqnJXVZ0B9zaQgmfkauEJp0Bw4hwtiaTtm+ydbWH
 81UH3sfxNApZuhIR7sre4qhArpqFercQS5hoIr434hjsARmLbm+MRe3evdj6
 5EgUTM7Cfa8GSXZRd7jtRA53rgrqMzukUJr00Bh5aMwx5I6PxsaWgQl6UVa1
 A6Un9+GLQhbNpssfzpwgxmWhBJNCERGEEDCMJJSI7Y04B3lAJWewSsoS+vkL
 E8nil/1IHebBiU8M7M6XdSkBJ5xpoxDOL+G1IonA65DA2aIm/k6ZydWCwLg5
 CJb/EtzoGVjw5Xqc9jixv0AJmiBCOUrjT+LBUSyKfeAGeYBSGhFobAAAQoHf
 RESU5Y8BHnzTCXudFBsfKMTwKR5yy6rWDhVr8DfUI91pYyHVcNBnRJE7NiDo
 M2h3tM2kPvJ3mKr3wHfjAgSX/hElHz+D7rZWVGcMLkc4Ia4WIgl8oJAzoJQi
 FAuzCslAYxNClFJWTsN8sO+PUxv8GJE8Co5ZjyL/zFcaHHo3FfPXtEChE+ih
 d82pLacQUBiBghIKgSe4UKOCpYLjupqU6pyR8E25G0zIB23F+5BdsMA//3FM
 37waHnlo0HZn6BBqIaWsB2M4NngBAFIZq+nrVTO7wxjr1cE951GknP4UqPrU
 hOUbbAh0s/jwP/KQVRx2/OIZNE37NXiNiSIpNYqicg9mruzgf725IWbMgPGj
 5yFvOA3X/H+HpKMR0qZqxO56AvOtYjpW5g3ITAylcSZPEARKRQ+AUCwkSQRQ
 JUmKAgAnUMyr5xG77d8gb6+DymED7t/YgONbDDjwdirue7WB16WKph2vYcRn
 z0LeUsOh3arEyW1GbH0yh3tjRS5vzkbX4rXgHM1QH/sMrnmPQHPsM0AUwc56
 hEKn2dRfNkdFcYDKiYJYIesxfDgaSticqKRaDwDtyPYAZDkTEU4rRPLuteic
 dI+gP/yeEXaLEvdvtOHIB0auZofZOWMpmmU5SIs5BR1PfdBnRJGcFxVtR7Sa
 iteTYsm58Ny6AoaPXkDMnAv37BVI2rEB3vv+IMCcl43fZo/Cn1tqgAS9AJPg
 Qqh3C7V67EIiAMmqvA4AKO0g4MffAXndMUQVOsSMWSKOf2LG/P9qxc5X0nDh
 jDq0bH2nxHMRRZ88Cf3+v0lRuycJn7+UifULRpKuFqnz3qfAhHxQnt0L97xH
 oKn8CKJSg1haIaQNVQzGzGHASW/t0ze+EkpUzGkULAghONV8MuGpkqsrEcy+
 KJSKZPDGdKiPbkf72AUwnfmcoKjcBX83h8aTGty7rpnZ9dcURe1hNNy2Gm13
 rhGw6KUWPPSODSs21qOpSpW08w14Zq+AwnIErM+F4JgZUNQeRrigBLL6kxxG
 zQpCoV3YB2AoHpDLGOSkSLH15K4sAHw8P0MzTKUL8UBKAaStFkSSUhGTqqBr
 OEYx/UEHdr2ajqnLO1D9Dx31XpR3370agloPsX8lrM+IkcUvN5OQD4r64/BN
 XgBlzX6E80sg+/YMormjIGmzMDBkRqE2GPCb3LxLAAba/HIH93X5Khyx2iSN
 zsbzgzwkNSYb/Hwnq0uDxNGCgCEXioADElO2FyEfC1+XBGPmeHDwrTRP+WIW
 pMejohhXxrASMVy2JCCrrkAws5hK2qwQkpJBBAFMwAM+dZgA60ENRs8GOPHm
 QfoSQi7b1Y/KU0Cn5vDYx8/koefitj+ZJ7o1lVRjpui0w6NOg1GM+IjKFIXb
 LkFSWgTdF6QxhUrKGzN6DEUASukgaYa8m2uVPk8gR5FVJSalCJyzDbw5C6yr
 A6LGICLkYaFLZSGRmxIAuPy1nIRjMHO8Dp+cOKyutp8+G8dmUqhOrdHlfSsR
 EcrWm9pSBOEi1MYYfA4JNKaY0N2ijmiNfX2DQsYgEhNJlI8MKHQIy4kEECnD
 gUTDDJUpwYR8EJU6MEEPgdrEgzAUlEp6DNHvHGCucis3MkeJCUUazF2/fIwn
 5DozEAIxSxUGv5qVuVSM1IuAm4NKzyPkZalMSTxC94BrQaWChUzCwOqwFYdj
 gX+W3QJPhKzR0W4SyCQBNxFUSWD8bohKLUjQQ6AxxsBHAEEMD/LAUK7UZ09M
 QnYqw0558fbRts66o+jdTknpF2E/p4QxK4KLNjnSR4ZgtygiOaMRaa1KC6UV
 yCUdNoD2TGcA6DUcdCrCXQw0F7f768bafdZxbUHb+PY5y4186+kUqtAAhIAJ
 eiEqtWACbgJdCo/WczHwsXODAAz1XnT6OB1uHg/29r8sLP3tx6s87rCzBgUT
 3bAdF3DdDC/qD+kwvMzP22tMnQpSCIEnTMCNWPpwKKv3xzmOgGUIBFGQiFTk
 6KX+RHPgY/imLITi3EFEs4rAhHwg0SCBSs+jrZYBI1gGe+AaXjUMOgnunmbC
 qdYKQ8Fj5aM8w8aZ0VQlQdrwMCJBBgEXy6cUCNK28wgXToDyzG54yxdDVbUT
 ko6Gyy9MBWj3bwaVyhHNvg7qk1/BV7YQ6qPbESmZG4KjUQZfpx9/tl/oNcA/
 Y+A7tKrji9TwBEL42HZ0OPhoCC67BAWlXpzbrZMVTb+gPbUnEpwwV5S22yBt
 q4f7lgeQtON1qI9tB+H7vVdQEZyjCYZt60AiIbjnPgxN5VaE828AEUTImmsQ
 nTg/iMp3VAi4XsOlx72rNjNXI42SRWmxFk9ueS3Dl1pwAcc+UqF4hgdV243k
 upkeOadypR7fY3fPXQl15RYw0RC6fvEMmJAP5jcehWnT72HY+hLMbz4KbcWH
 CI2cDO+0JdDt2ADG54J/8l3QHNoC/6Q7wPldFGd2iODZLb3yBzzHfBcPAMDU
 Ei3qWi+Sme3nio7arT4y9nYBBZO82PZUJu5+7gKzcUUhl2yGe+7D0O3ZBFGp
 g++me+C9eQmYkBesrxu8LhkgBLKWWhg//APCIyYiMO5WaPe+A1ARkaIpgn7z
 2gj8XU/g1SZvr2y2cF7Gvba2UBHQU3VOvC5h335FYgjB9QUqNLuiScfcAcWs
 jlopd8+6dnLmSz3c7RJx+r92Sb74UwpV6eCdthSUALo9b0F1ehdkzbXguu1Q
 nK+E+tjnIKKIwIS5iGaNhP7TV8CbsuCdthTGr9/uktSf2IV1lpf6yx7gge/z
 OCOVEMyakARB1GksZxo1mafeTuPnPcDrP3zO7DMbSGzR76E5vA3GzU/BP/ku
 dC77b5BYCKzPBcbvApXKEUvNB9fdDlnjaei+/ht8UxYillVETR882ym7YN0M
 l/w/4+VyIHTIB9lQiGUIdhfJ8au9b4AjHOeetxL67esRKr4Jnln3g+tsgfbg
 R9AceB+ixghBpYeo1gMMg6Sdb4pEqhD4gnFBYdHzbm0kHJNuXM3C3b4Wf7Jt
 SiRvoAd+oAszr4LDOzcAd1f8FZqiW+C8dw00Fe/B8MFaBEtmw73gsagkJoZl
 IV9EEvBFZX6PwMX4GCl7yAO1QZBaDqixbxNwvoIi4FiBV1qPXE4Wx4D0dfo/
 5OO2R8HhnbFKx8Jv/sHndjSr+IVPO1or1m0q/OIvwyRfvVGGzOIossdIoE8X
 IQoEfJRgyxo5Wqs5iMIB+Lq2QRo7iFc6AleSw00YY1rR1hkZf7YhkPcdAfAE
 tBEgVgpiIQQWCLDyImN5bsY+J6YDeLz4Ieza2KZbtOFzzAfwuFmD2rZRqN1b
 DLk6G5RS8HwEfKgSeu1RPFuT8AItERFKKRZtWcTabNYvHd3R2cvnpV4OhhuA
 hQIWUFgJYAEjWh2qgO2n+KjjckT6f25T9j/Xz5k2zrASAAhgAWGsIohFwnGW
 p2/c6fi5lLwS/R89yKDEla8AeAAAAABJRU5ErkJggg
	
Package: qtrapids-server
Architecture: any
Depends: ${shlibs:Depends}, libqt4-sql-sqlite, ${misc:Depends}
Description: BitTorrent server

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Maemo specific (Qt 4.6)
PATH:=/opt/qt4-maemo5/bin:$(PATH) 
export PATH 

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure:
	dh_testdir
	cmake .
	touch $@
 
build: configure
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	-$(MAKE) clean
	rm -f CMakeCache.txt
	rm -rf `find -name CMakeFiles` 
	rm -f configure
	rm -f build
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	dh_install --sourcedir=debian/tmp
	
# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	maemo-optify
	dh_builddeb

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install
